{
  "dep": [
    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "SerialPort"
    },
    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "AsciiStringAssemblingUtils"
    },
    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "AsciiStringParsingUtils"
    },
    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "SystemSyncInterface"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "CmakeConfig_GCC_CortexM4"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "FreeRTOSHeap4_CM4_CMSIS"
    },
    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "SystemDelay_CMSIS_RTOS"
    },
    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "SystemDelayInterface"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "DeviceStartup_ARTERY_AT32F403A_407"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "CmsisRtosThreadUtils"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "PeripheralDriver_ARTERY_AT32F403A_407"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "SerialPort_ARTERY_AT32_F403A"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "CmsisCore5"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "GpioPin_ARTERY_AT32F435_437"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "SerialPort_P2P_CmsisRtos"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "GpioPinInterface"
    },


    {
      "type": "local",
      "dir": "CmakeConfig_RandomBuildIdGenerator"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "FirmwareMetadataSection"
    },
    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "LoggerToSerialPort"
    },
    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "SerialPortHalfDuplexInterface"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "StorageOnFlash_ARTERY_AT32"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "SpiPortInterface"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "SpiPort"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "SpiPort_ARTERY_AT32_F403A"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "Adc_ARTERY_AT32"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "Rtc_ARTERY_AT32F403A_407"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "VarTabDumpObserver"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "VersionsInfoTable"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "VariablesTable"
    },

    {
      "type": "git",
      "provider": "ELEMENT",
      "repo": "StorageInterface"
    },

    {
      "type": "local",
      "dir": "APP"
    },
    {
      "type": "git",
      "provider": "Villuton",
      "repo": "TestTest"
    },
    {
      "type": "git",
      "provider": "Villuton",
      "repo": "TestTest2"
    },
    {
      "type": "local",
      "dir": "LOCAL"
    }

  ]
}